<?php

	/*
	 * Trecho de update de produtos na tabela loja_produtos
	 *
	 */

	// require 'auxiliares/funcao-slug.php';

	// $caminhoAmigavel = slug($_POST['nomeProduto']);

	// $selectSlug = mysql_query("SELECT * FROM loja_produto WHERE slugProduto = '".$caminhoAmigavel."' AND categoria = '".$_POST['categoriaProduto']."' AND idProduto <> '".$_POST['idProduto']."'");

	// $qtSlugs = mysql_num_rows($selectSlug);

	// if($qtSlugs > 0) $caminhoAmigavel .= "-".$qtSlugs;


	// resolver fabricante
	if ($_POST['novoFabricante'] == 1) {
		
		$insertFabricante = mysql_query("INSERT INTO loja_fabricante (titulo, siteFabricante) VALUES ('".mysql_escape_string(utf8_decode($_POST['novoTextFabricante']))."', '".mysql_escape_string(utf8_decode($_POST['siteTextFabricante']))."')");

		$idFabricante = mysql_insert_id();
	}
	else {

		$idFabricante = $_POST['selectFabricante'];
	}


	include_once("auxiliares/redimensionaImg.class.php");

	$redim = new Redimensiona();

	if($_POST['chkManterCapa'] != 1){
		// resolver fotos
		if (!empty($_FILES['fotoPrincipalProduto']['size'])) {
			
				$numero = rand(1,99999999);
				$nome = $numero.$_FILES['fotoPrincipalProduto']['name'];
				$nome = $redim->tratar_arquivo_upload($nome);
				
				$tipoImagem = $_FILES['fotoPrincipalProduto']['type'];

				// Thumbs
				$fotoThumbs = $_FILES['fotoPrincipalProduto']['tmp_name'];	
				$filenameThumbs = $redim->GerarThumbs($fotoThumbs, 65, 65, "imagens-site/loja/thumbs", $tipoImagem, $nome);

				// Capa
		$fotoThumbs = $_FILES['fotoPrincipalProduto']['tmp_name'];	
		$filenameThumbs = $redim->Redimensionar($fotoThumbs, 284, 123, "imagens-site/loja/capas", $tipoImagem, $nome);

				// Medium
				$fotoThumbs = $_FILES['fotoPrincipalProduto']['tmp_name'];	
				$filenameThumbs = $redim->Redimensionar($fotoThumbs, 230, 230, "imagens-site/loja/medium", $tipoImagem, $nome);

				// Normal
				$foto = $_FILES['fotoPrincipalProduto']['tmp_name'];	
				$filenameDestaque = $redim->Redimensionar($foto, 1000, 1000, "imagens-site/loja", $tipoImagem, $nome);
		}

	}

	if($_POST['chkManterCapa'] == 1){

		$selectCapa = mysql_query("SELECT fotoDestaque FROM loja_produto WHERE idProduto = '".$_POST['idProduto']."'");
		$linhaCapa = mysql_fetch_array($selectCapa);

		$filenameDestaque = $linhaCapa['fotoDestaque'];

	}


	$updateProduto = mysql_query("UPDATE loja_produto SET categoria = '".mysql_escape_string($_POST['categoriaProduto'])."', fabricante = '".mysql_escape_string($idFabricante)."', titulo = '".mysql_escape_string(utf8_decode($_POST['nomeProduto']))."', textoApresentacao = '".mysql_escape_string(utf8_decode($_POST['textoApresentacao']))."' , descricao = '".mysql_escape_string(utf8_decode($_POST['descricao']))."', especificacoes = '".mysql_escape_string(utf8_decode($_POST['especificacoes']))."', fotoDestaque = '".mysql_escape_string($filenameDestaque)."', estoque = '".mysql_escape_string($_POST['estoqueProduto'])."', preco_custo = '".str_replace(",", ".", mysql_escape_string($_POST['precoCustoProduto']))."', preco_venda = '".str_replace(",", ".", mysql_escape_string($_POST['precoVendaProduto']))."', peso = '".str_replace(",", ".", mysql_escape_string($_POST['pesoProduto']))."', largura = '".str_replace(",", ".", mysql_escape_string($_POST['larguraProduto']))."' , altura = '".str_replace(",", ".", mysql_escape_string($_POST['alturaProduto']))."', comprimento = '".str_replace(",", ".", mysql_escape_string($_POST['comprimentoProduto']))."', destaque = '".mysql_escape_string($_POST['chkProdutoDestaque'])."', oferta = '".mysql_escape_string($_POST['chkProdutoOferta'])."', keywords = '".mysql_escape_string(utf8_decode(implode(",", $_POST['keywords'])))."' WHERE idProduto = '".mysql_escape_string($_POST['idProduto'])."'");
	
	/*
	 * Fim trecho de atualização de produtos na tabela produtos
	 *
	 * Trecho de insert de imagens de produtos na tabela loja_gallery
	 * obs.: a imagem de destaque não esta incluída nessa tabela, mas sim junto com a descrição de produtos na tabela loja_produtos
	 */

	if ($updateProduto) {


		$arrayImagens = array();

		for ($i=0; $i < count($_FILES['fotoGaleriaProduto']['name']); $i++) { 
			
			if (!empty($_FILES['fotoGaleriaProduto']['size'][$i])) {

				$numero = rand(1,99999999);
				$nome = $numero.$_FILES['fotoGaleriaProduto']['name'][$i];
				$nome = $redim->tratar_arquivo_upload($nome);
				
				$tipoImagem = $_FILES['fotoGaleriaProduto']['type'][$i];

				// Thumbs
				$fotoThumbs = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];	
				$filenameGallery = $redim->GerarThumbs($fotoThumbs, 65, 65, "imagens-site/loja/thumbs", $tipoImagem, $nome);

				// Medium
				$foto = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];	
				$filenameGallery = $redim->Redimensionar($foto, 230, 230, "imagens-site/loja/medium", $tipoImagem, $nome);

				// Normal
				$foto = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];	
				$filenameGallery = $redim->Redimensionar($foto, 1000, 1000, "imagens-site/loja", $tipoImagem, $nome);

				if(!empty($filenameGallery)) $arrayImagens[] = "('".mysql_escape_string($_POST['idProduto'])."', '".mysql_escape_string($filenameGallery)."')";
			}

			
		}

		if(isset($arrayImagens)){
			$imagensGalleryDb = implode(",", $arrayImagens);

			$insertFotosGallery = mysql_query("INSERT INTO loja_gallery (idProduto, imagem) VALUES $imagensGalleryDb");
		}

		$fotos = isset($_POST['chkFotoGaleria']) ? $_POST['chkFotoGaleria'] : NULL;
		if(isset($fotos)){
			foreach ($fotos as $pos => $valor) {
				$selectFoto = mysql_query("SELECT imagem FROM loja_gallery WHERE id = '".mysql_escape_string($valor)."'");
				$fotoGaleria = mysql_result($selectFoto, 0, 0);
				unlink("imagens-site/loja/thumbs/".$fotoGaleria);
				unlink("imagens-site/loja/medium/".$fotoGaleria);
				unlink("imagens-site/loja/".$fotoGaleria);
				$deleteFotoGaleria = mysql_query("DELETE FROM loja_gallery WHERE id = '".mysql_escape_string($valor)."'");
			}
		}
	}

	if ($updateProduto || $insertFotosGallery || $deleteFotoGaleria) {

		echo "Registro Atualizado";
	}

?>